## javax.ws.rs.ext
Interface RuntimeDelegate.HeaderDelegate<T>

All Known Subinterfaces:
  HeaderDelegateProvider<T>

Enclosing class:
  RuntimeDelegate

    public static interface RuntimeDelegate.HeaderDelegate<T>

Defines the contract for a delegate that is responsible for converting between the String form of a HTTP header and the corresponding JAX-RS type `T`.

Method Summary
`T` | `fromString(java.lang.String value)` Parse the supplied value and create an instance of `T`.
`java.lang.String` | `toString(T value)` Convert the supplied value to a String.

Method Detail

### fromString

    T fromString(java.lang.String value)
                 throws java.lang.IllegalArgumentException

  Parse the supplied value and create an instance of `T`.

  Parameters:
    `value` - the string value
  Returns:
    the newly created instance of `T`
  Throws:
    `java.lang.IllegalArgumentException` - if the supplied string cannot be parsed or is null

### toString

    java.lang.String toString(T value)

  Convert the supplied value to a String.

  Parameters:
    `value` - the value of type `T`
  Returns:
    a String representation of the value
  Throws:
    `java.lang.IllegalArgumentException` - if the supplied object cannot be serialized or is null

Copyright © 2017 Oracle Corporation. All Rights Reserved.